package com.jqtx.windows.command;


import com.alibaba.fastjson.JSONObject;
import com.jqtx.infrastructure.oss.starter.config.OssUtils;
import com.jqtx.windows.common.factory.AbstractCommand;
import com.jqtx.windows.common.factory.RuntimeContextHolder;
import com.jqtx.windows.component.model.GetSignContractModel;
import com.jqtx.windows.infrastructure.feign.IProtocalFeignService;
import com.jqtx.windows.web.response.GetSignContractResponse;
import com.jqtx.windows.web.response.JsonResult;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class GetSignContractCommand extends AbstractCommand {
    @Autowired
    private IProtocalFeignService iProtocalFeignService;
    @Autowired
    private OssUtils ossUtils;


    @Override
    public JsonResult execute() {
        String requestBody = RuntimeContextHolder.currentRuntimeContext().getRequestBody();
        GetSignContractModel getSignContractModel = JSONObject.parseObject(requestBody, GetSignContractModel.class);
        GetSignContractResponse getSignContractResponse=new GetSignContractResponse();
        JsonResult<String> rongdanPdfJsonResult = iProtocalFeignService.getFilePathPdf(getSignContractModel.getLoanNo(), "rongdan");
        if (rongdanPdfJsonResult.isSuccess() && StringUtils.isNotEmpty(rongdanPdfJsonResult.getResult())){
            getSignContractResponse.setSignStatus("SIGN");
            String path = ossUtils.generateTempURL(rongdanPdfJsonResult.getResult());
            getSignContractResponse.setContractFileUrl(path);
        }else {
            getSignContractResponse.setSignStatus("SIGN_ING");
        }
        return JsonResult.success(getSignContractResponse);
    }
}
