package com.jqtx.windows.command;

import com.alibaba.fastjson.JSON;
import com.jqtx.windows.common.converter.ProtocolConverter;
import com.jqtx.windows.common.factory.AbstractCommand;
import com.jqtx.windows.common.factory.RuntimeContextHolder;
import com.jqtx.windows.component.model.UploadPdfDetailRequest;
import com.jqtx.windows.component.model.UploadPdfRequest;
import com.jqtx.windows.infrastructure.feign.IProtocalFeignService;
import com.jqtx.windows.web.request.SyncLoanRequest;
import com.jqtx.windows.web.response.JsonResult;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

@Service
public class SaveProtocolCommand extends AbstractCommand {
    @Autowired
    private IProtocalFeignService iProtocalFeignService;

    @Autowired
    private ProtocolConverter protocolConverter;
    @Override
    public JsonResult execute() {
        String request = RuntimeContextHolder.currentRuntimeContext().getRequestBody();
        SyncLoanRequest syncLoanRequest = JSON.parseObject(request, SyncLoanRequest.class);
        UploadPdfRequest uploadPdfRequest=new UploadPdfRequest();
        uploadPdfRequest.setLoanNo(syncLoanRequest.getLoanNo());
        uploadPdfRequest.setOrderNo(syncLoanRequest.getOrderNo());
        List<UploadPdfDetailRequest> detailRequestList=   syncLoanRequest.getProtocolList().stream().map(protocolConverter::toModel).collect(Collectors.toList());
        uploadPdfRequest.setDetailRequestList(detailRequestList);
        iProtocalFeignService.uploadProtocolPdf(uploadPdfRequest);
        return JsonResult.success();
    }
}
