package com.jqtx.windows.command;

import com.alibaba.fastjson.JSONObject;
import com.jqtx.windows.common.factory.AbstractCommand;
import com.jqtx.windows.common.factory.RuntimeContextHolder;
import com.jqtx.windows.component.model.GetSignContractModel;
import com.jqtx.windows.infrastructure.feign.IProtocalFeignService;
import com.jqtx.windows.web.request.SignContractRequest;
import com.jqtx.windows.web.response.JsonResult;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
@Slf4j
public class SignContractCommand extends AbstractCommand {

    @Autowired
    private IProtocalFeignService iProtocalFeignService;
    @Override
    public JsonResult execute() {
        String requestBody = RuntimeContextHolder.currentRuntimeContext().getRequestBody();
        SignContractRequest signContractRequest = JSONObject.parseObject(requestBody, SignContractRequest.class);
        log.info("融单协议提交-{}",JSONObject.toJSON(signContractRequest));
        iProtocalFeignService.uploadRongdan(signContractRequest);
        return JsonResult.success();
    }
}
