package com.jqtx.windows.command;

import cn.hutool.core.bean.BeanUtil;
import com.alibaba.fastjson.JSON;
import com.jqtx.windows.common.factory.AbstractCommand;
import com.jqtx.windows.common.factory.RuntimeContextHolder;
import com.jqtx.windows.common.utils.ValidateUtil;
import com.jqtx.windows.component.CreditResultComponent;
import com.jqtx.windows.component.model.CreditResultModel;
import com.jqtx.windows.web.request.SyncCreditResultRequest;
import com.jqtx.windows.web.response.JsonResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


@Service
public class SyncCreditCommand extends AbstractCommand {
    @Autowired
    private CreditResultComponent creditResultComponent;

    @Override
    public JsonResult execute() {
        String request = RuntimeContextHolder.currentRuntimeContext().getRequestBody();
        SyncCreditResultRequest syncCreditResultRequest = JSON.parseObject(request, SyncCreditResultRequest.class);
        //
        ValidateUtil.valid(syncCreditResultRequest);
        //
        CreditResultModel creditResultModel = BeanUtil.toBean(syncCreditResultRequest, CreditResultModel.class);
        creditResultComponent.insert(creditResultModel);
        return JsonResult.success();
    }
}
