package com.jqtx.windows.common.config;

import com.alibaba.druid.pool.DruidDataSource;
import com.jqtx.infrastructure.util.AKAESUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.SpringBootConfiguration;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;

import javax.sql.DataSource;

@Configuration
@SpringBootConfiguration
public class MybatisConfig {
    private static final Logger logger = LoggerFactory.getLogger(MybatisConfig.class);

    @Value("${spring.datasource.driverClassName}") String driver;
    @Value("${spring.datasource.url}") String url;
    @Value("${spring.datasource.username}") String username;
    @Value("${spring.datasource.password}") String password;
    @Value("${mybatis.mapper-locations}") String locations;

    @Primary
    @Bean(name = "primaryDataSource")
    public DataSource dataSource() throws Exception{
        DruidDataSource dataSource = new DruidDataSource();
        dataSource.setDriverClassName(driver);
        dataSource.setUrl(url);
        dataSource.setUsername(AKAESUtil.decrypt(username));
        dataSource.setPassword(AKAESUtil.decrypt(password));
        dataSource.setDbType("com.alibaba.druid.pool.DruidDataSource");
        logger.info("----------------{},{},{},{},{}",driver,url,AKAESUtil.decrypt(username),AKAESUtil.decrypt(password));
        return dataSource;
    }





}
