package com.jqtx.windows.common.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.env.Environment;
import org.springframework.core.env.Profiles;
import springfox.documentation.builders.ApiInfoBuilder;
import springfox.documentation.builders.PathSelectors;
import springfox.documentation.builders.RequestHandlerSelectors;
import springfox.documentation.service.ApiInfo;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spring.web.plugins.Docket;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

@Configuration
@EnableSwagger2
public class Swagger2Config {

    @Bean
    public Docket createRestApi(Environment environment) {

        boolean flag=true;
        return new Docket(DocumentationType.SWAGGER_2).pathMapping("/")
            .apiInfo(apiInfo()).enable(flag)
            .select()
            .apis(RequestHandlerSelectors.basePackage("com.jqtx.windows.web"))
            .paths(PathSelectors.any())
            .build();
    }

    private ApiInfo apiInfo() {
        return new ApiInfoBuilder().title("浙农业务网关系统")
            .description("浙农业务网关")
            .version("0.0.1-SNAPSHOT")
            .build();
    }
}
