package com.jqtx.windows.common.config;

import org.apache.logging.log4j.util.Strings;
import org.mapstruct.Mapper;
import org.mapstruct.NullValueCheckStrategy;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;


@Mapper(componentModel = "spring", uses = {}, nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS)
public interface WindowsCommonConverter {
    DateTimeFormatter DATE_TIME_FORMATTER = DateTimeFormatter.ofPattern("yyyy.MM.dd HH:mm");
    DateTimeFormatter DATE_FORMATTER = DateTimeFormatter.ofPattern("yyyy.MM.dd");

    default String toTimeString(LocalDateTime localDateTime) {
        if (localDateTime == null) {
            return Strings.EMPTY;
        }
        return localDateTime.format(DATE_TIME_FORMATTER);
    }

    default String toTimeString(LocalDate LocalDate) {
        if (LocalDate == null) {
            return Strings.EMPTY;
        }
        return LocalDate.format(DATE_FORMATTER);
    }
}
