package com.jqtx.windows.common.exception;

import com.jqtx.windows.infrastructure.enums.ExceptionCodeEnum;
import lombok.Data;
@Data
public class BizException extends RuntimeException {

    private static final long serialVersionUID = 8321149154706648074L;
    protected String code;
    protected String message;
    protected ExceptionCodeEnum errorEnum;

    public BizException(String code, String message) {
        super(message);
        this.code = code;
        this.message = message;
    }

    public BizException(String code) {
        this.code = code;
    }

    @Override
    public String getMessage() {
        return super.getMessage();
    }

    public BizException(ExceptionCodeEnum bizCodeEnum) {
        super(bizCodeEnum.getMessageCN());
        this.code = bizCodeEnum.getCode();
        this.message = bizCodeEnum.getMessageCN();
        this.errorEnum = bizCodeEnum;
    }

    public BizException(ExceptionCodeEnum bizCodeEnum, String msg) {
        super(msg);
        this.code = bizCodeEnum.getCode();
        this.message = msg;
        this.errorEnum = bizCodeEnum;
    }
}
