package com.jqtx.windows.common.mq;

import com.aliyun.openservices.ons.api.Message;
import com.jqtx.infrastructure.mq.starter.contants.MQProcessTypeResult;
import com.jqtx.infrastructure.mq.starter.exception.MQException;
import com.jqtx.infrastructure.mq.starter.mq.MQConsumerHandler;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;

import java.io.IOException;
@Slf4j
public abstract class AbstractMQConsumerHandler<T> implements MQConsumerHandler<T> {


    @Override
    public MQProcessTypeResult handler(T mqDto, Message message) throws MQException, IOException {
        try {
            run(mqDto);
        } catch (Exception e) {
            // insert MYSQL
            log.error("Exception:[{}],[{}]", e.getMessage(), e);
            if (message.getReconsumeTimes() > 2) {
                // mqInfoService.saveErrorMqInfo(message,e.getMessage());
                return MQProcessTypeResult.NOT_PROCESS;
            } else {
                return MQProcessTypeResult.FAIL;
            }
        }

        return MQProcessTypeResult.SUCCESS;
    }

    public abstract void run(T message) throws Exception;

}
