package com.jqtx.windows.infrastructure.feign.model.yellow;

import com.jqtx.windows.infrastructure.feign.enums.LoanStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author: wuwei
 * @Date:2018/12/12 15:51
 */
@Data
@ApiModel(value = "借款单返回对象", description = "借款单返回对象")
public class LoanVO {

    @ApiModelProperty(value = "客户编号", required = true)
    private String clientNo;

    @ApiModelProperty(value = "借款编号", required = true)
    private String orderNo;

    @ApiModelProperty(value = "借款编号", required = true)
    private String loanNo;

    @ApiModelProperty(value = "借款金额", required = true)
    private BigDecimal loanAmt;

    @ApiModelProperty(value = "开始时间", required = true)
    private Date startDate;

    @ApiModelProperty(value = "结束时间", required = true)
    private Date endDate;

    @ApiModelProperty(value = "借款状态", required = true)
    private LoanStatusEnum status;

    @ApiModelProperty(value = "借款用途", required = true)
    private String loanUsage;

    @ApiModelProperty(value = "借款周期", required = true)
    private Integer loanLife;

    @ApiModelProperty(value = "周期单位", required = true)
    private String loanUnit;

    @ApiModelProperty(value = "还款期数", required = true)
    private Integer loanLimit;

    @ApiModelProperty(value = "还款本金")
    private BigDecimal principleAmt;

    @ApiModelProperty(value = "还款利息")
    private BigDecimal interestAmt;

    @ApiModelProperty(value = "还款服务费/手续费")
    private BigDecimal serviceAmt;

    @ApiModelProperty(value = "借款时间")
    private Date gmtCreated;

    @ApiModelProperty(value = "放款金额")
    private BigDecimal raiseAmt;

    @ApiModelProperty(value = "利息金额")
    private BigDecimal rateAmt;

    @ApiModelProperty(value = "修改时间")
    private Date gmtModified;

    @ApiModelProperty(value = "借款单类型")
    private String bizType;

    @ApiModelProperty(value = "取消原因")
    private String reason;

    @ApiModelProperty(value = "借款周期")
    private LoanPeriodNameModel loanPeriodNameModel;

    @ApiModelProperty(value = "产品名")
    private String productName;

    @ApiModelProperty(value = "产品名中文")
    private String loanName;

    @ApiModelProperty(value = "资方")
    private String capitalCode;

    @ApiModelProperty(value = "签约")
    private String loanSign;
}
