package com.jqtx.windows.utils;

import org.springframework.util.Base64Utils;

import java.security.PrivateKey;
import java.security.PublicKey;
import java.security.Signature;

/**
 * @author: maweijun
 * @description:
 * @create: 2021/1/12
 */
public class SignUtil {
    private static final String signature_algorithm = "SHA256withRSA"; // 签名算法
    private static final String charset = "UTF-8";

    public static String sign(String param, PrivateKey partnerPrivateKey) {
        try {
            if (partnerPrivateKey == null) {
                throw new RuntimeException("私钥未初始化");
            }
            Signature signature = Signature.getInstance(signature_algorithm);
            signature.initSign(partnerPrivateKey);
            signature.update(param.getBytes(charset));
            return Base64Utils.encodeToString(signature.sign());
        } catch (Exception e) {
            throw new RuntimeException("签名异常", e);
        }
    }

    public static boolean veriSign(String param, String sign, PublicKey signPartnerPublicKey) {
        try {
            if (signPartnerPublicKey == null) {
                return false;
            }
            Signature signature = Signature.getInstance(signature_algorithm);
            signature.initVerify(signPartnerPublicKey);
            signature.update(param.getBytes(charset));
            return signature.verify(Base64Utils.decodeFromString(sign));
        } catch (Exception e) {
        }
        return false;
    }
}
