package com.jqtx.windows.web.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class SyncLoanRequest {

    @NotEmpty(message = "授信单号不能为空")
    @ApiModelProperty(value = "授信单号")
    private String orderNo;

    @NotEmpty(message = "借款编号不能为空")
    @ApiModelProperty(value = "借款编号")
    private String loanNo;

    @NotEmpty(message = "银行卡号不能为空")
    @ApiModelProperty(value = "银行卡号")
    private String bankAccount;

    @NotEmpty(message = "银行卡号名称不能为空")
    @ApiModelProperty(value = "银行卡号名称")
    private String cardBankName;

    @NotEmpty(message = "借款金额不能为空")
    @ApiModelProperty(value = "借款金额")
    private String loanAmt;

    @NotEmpty(message = "借款期数不能为空")
    @ApiModelProperty(value = "借款期数")
    private String loanTerm;


    @NotEmpty(message = "借款用途不能为空")
    @ApiModelProperty(value = "借款用途")
    private String loanUsage;

    @NotEmpty(message = "放款时间不能为空")
    @ApiModelProperty(value = "放款时间")
    private String raiseDate;

    @NotNull(message = "还款计划不能为空")
    @ApiModelProperty(value = "还款计划")
    private List<LoanPlan> planList;

    @NotNull(message = "协议不能为空")
    @ApiModelProperty(value = "协议")
    private List<Protocol> protocolList;

    @Data
    public class LoanPlan {
        @NotEmpty(message = "计划还款期数不能为空")
        @ApiModelProperty(value = "还款期数")
        private String planIndex;

        @NotEmpty(message = "计划还款日期不能为空")
        @ApiModelProperty(value = "还款日期")
        private String planDate;

        @NotEmpty(message = "计划还款本金不能为空")
        @ApiModelProperty(value = "计划本金")
        private String planBen;

        @NotEmpty(message = "计划还款利息不能为空")
        @ApiModelProperty(value = "计划利息")
        private String planXi;

        @NotEmpty(message = "计划还款服务费不能为空")
        @ApiModelProperty(value = "计划服务费")
        private String planFu;

        @NotEmpty(message = "计划还款融单费不能为空")
        @ApiModelProperty(value = "计划融单费")
        private String planBurden;

        @ApiModelProperty(value = "还款罚息")
        private String planFa;

        @ApiModelProperty(value = "还款总金额")
        private String planAmt;
    }

    @Data
    public class Protocol {

        @NotEmpty(message = "协议地址不能为空")
        @ApiModelProperty(value = "协议地址")
        private String url;

        @NotEmpty(message = "协议名称不能为空")
        @ApiModelProperty(value = "协议名称")
        private String protocolName;

        @NotEmpty(message = "协议类型不能为空")
        @ApiModelProperty(value = "协议类型")
        private String protocolType;

        @ApiModelProperty(value = "协议编号")
        private String protocolNo;
    }
}


